Create a reconciliation report
curl --request POST \
--url https://api-sandbox.orum.io/deliver/reports/recon \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start_time": "2023-07-13T00:00:00.000Z",
"end_time": "2023-07-13T00:00:00.000Z",
"report_scope": "total",
"subledger_reference_id": "<string>"
}
'import requests
url = "https://api-sandbox.orum.io/deliver/reports/recon"
payload = {
"start_time": "2023-07-13T00:00:00.000Z",
"end_time": "2023-07-13T00:00:00.000Z",
"report_scope": "total",
"subledger_reference_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start_time: '2023-07-13T00:00:00.000Z',
end_time: '2023-07-13T00:00:00.000Z',
report_scope: 'total',
subledger_reference_id: '<string>'
})
};
fetch('https://api-sandbox.orum.io/deliver/reports/recon', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"report": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"start_time": "2023-07-13T00:00:00.000Z",
"end_time": "2023-07-13T00:00:00.000Z",
"report_scope": "total",
"subledger_reference_id": "<string>"
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Reports
Create Reconciliation Report
Create a reconciliation report for the requested start and end date.
POST
/
deliver
/
reports
/
recon
Create a reconciliation report
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
The start time of the report range in ISO-8601 format.
Example:
"2023-07-13T00:00:00.000Z"
The end time of the report range in ISO-8601 format.
Example:
"2023-07-13T00:00:00.000Z"
The scope of the report.
Available options:
total, enterprise, subledger Unique reference id for the subledger resource. Generated by you.
Required string length:
1 - 255Response
200 response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I